
QGIS Application - Bug report #12719

QGIS crashes when 'Hide deprecated' enabled from Select datum transformations dialog

2015-05-08 01:41 AM - Steve Pritchard

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20822

Description

When I add a layer to my project whose CRS is different from the project CRS (OTF CRS on), I'm prompted for the Datum Transformation

to use ("Select datum transformations" dialog). If I click on the checkbox "Hide deprecated", QGIS Desktop hangs (goes opaque white). If

I try to click anywhere on the window, QGIS crashes.

Associated revisions

Revision 1bd37763 - 2015-06-02 05:38 PM - Jürgen Fischer

datum transformation selection: fix crash on 'hide deprecated' (fixes #12719)

Revision ab06ccd4 - 2015-06-29 06:41 PM - Jürgen Fischer

datum transformation selection: fix crash on 'hide deprecated' (fixes #12719)

(cherry picked from commit 1bd3776392d59456ff1bf8159ad9f86e4153f68b)

History

#1 - 2015-05-10 02:12 AM - Giovanni Manghi

- Category changed from Browser to Projection Support

- Affected QGIS version changed from 2.8.1 to master

- OS version deleted (7)

- Operating System deleted (Windows)

- Target version set to Version 2.8.2

- Priority changed from Normal to Severe/Regression

confirmed also on master/linux. Was ok on previous qgis releases.

#2 - 2015-05-10 04:47 AM - Jürgen Fischer

- Target version changed from Version 2.8.2 to Future Release - High Priority

#3 - 2015-05-21 04:06 AM - Saber Razmjooei

- Status changed from Open to Feedback

I can't reproduce in 2.8.2
Could you try and report back?

#4 - 2015-05-22 01:43 AM - Steve Pritchard

I've downloaded and installed 2.8.2. I followed the same steps as before and QGIS STILL CRASHED.

I had previously added OSTN02_NTv2.gsb to C:\\Program Files\\QGIS Wien\\share\\proj, however uninstalling and re-installing had removed this. I

therefore copied this file over and tried again: QGIS crashed, but this time it produced a minidump file - attached.

#5 - 2015-05-22 01:44 AM - Steve Pritchard

Crash dump was too big too attach - I still have it if required. Info from Event Viewer:

Faulting application name: qgis-bin.exe, version: 0.0.0.0, time stamp: 0x554f18dc

Faulting module name: KERNELBASE.dll, version: 6.1.7601.18798, time stamp: 0x5507b87a

Exception code: 0xc0000005

Fault offset: 0x000000000001aaad

Faulting process id: 0x1310

Faulting application start time: 0x01d09468132d4280

Faulting application path: C:\\PROGRA~1\\QGISWI~1\\bin\\qgis-bin.exe

Faulting module path: C:\\Windows\\system32\\KERNELBASE.dll

Report Id: 89e3cd7f-005b-11e5-b744-3417ebb9d19a

#6 - 2015-05-22 01:47 AM - Giovanni Manghi

- Status changed from Feedback to Open

I confirm is still crashes on master.

#7 - 2015-06-02 08:39 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1bd3776392d59456ff1bf8159ad9f86e4153f68b".
